Loading...
Searching...
No Matches
dcmtk::log4cplus::spi::FactoryRegistry< T > Class Template Reference

This template class is used as a "Factory Registry". More...

Inheritance diagram for dcmtk::log4cplus::spi::FactoryRegistry< T >:

## Public Member Functions

bool | put (OFunique_ptr< T > object)
| Used to enter an object into the registry.
T * | get (const log4cplus::tstring &name) const
| Used to retrieve an object from the registry.

## Additional Inherited Members

Private Member Functions inherited from dcmtk::log4cplus::spi::ObjectRegistryBase
bool | exists (const log4cplus::tstring &name) const
| Tests to see whether or not an object is bound in the registry as `name`.
OFVector< log4cplus::tstring > | getAllNames () const
| Returns the names of all registered objects.
bool | putVal (const log4cplus::tstring &name, void *object)
| Used to enter an object into the registry.
void * | getVal (const log4cplus::tstring &name) const
| Used to retrieve an object from the registry.
virtual void | clear ()
| Deletes all objects from this registry.

## Detailed Description

template<class T>
class dcmtk::log4cplus::spi::FactoryRegistry< T >

This template class is used as a "Factory Registry".

Objects are "entered" into the registry with a "name" using the `put()` method. (The registry then owns the object.)
These object can then be retrieved using the `get()` method.

Note: This class is Thread-safe.

## Member Function Documentation

## get()

template<class T>

T * dcmtk::log4cplus::spi::FactoryRegistry< T >::get | ( | const log4cplus::tstring & | name | ) | const

inline

Used to retrieve an object from the registry.

(The registry owns the returned pointer.)

## put()

template<class T>

bool dcmtk::log4cplus::spi::FactoryRegistry< T >::put | ( | OFunique_ptr< T > | object | ) |

inline

Used to enter an object into the registry.

(The registry now owns `object`.)

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/factory.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0